Tweet

Ambil sebuah artikel

GET /v1/tweets/{tweet_id}/article reads 1 kredit

Artikel berformat panjang yang dilampirkan pada sebuah unggahan: judul, pratinjau, teks isi, gambar sampul dan waktu publikasi.

respons

Id unggahan dan objek article; text adalah teks isi polos dan url alamat Artikel itu sendiri. Unggahan yang tidak membawa Artikel menghasilkan 404.

Status: 200, 404, 422, 429, 502

permintaan
curl https://api.xsignalfeed.com/v1/tweets/2100254227696103834/article \
  -H "Authorization: Bearer xsf_your_key"
respons · 200 / 404
{
  "tweet_id": "2100254227696103834",
  "article": {
    "id": "2100242254904336388",
    "url": "https://x.com/i/article/2100242254904336388",
    "title": "National AI Rules Should Not Become a Privilege for Incumbents",
    "preview_text": "The Washington Examiner published two related reports on September 15. …",
    "text": "The Washington Examiner published two related reports on September 15. …",
    "cover_image": "https://pbs.twimg.com/media/HSWZkHcXYAAsMuj.jpg",
    "published_ms": 1789574603000,
    "modified_ms": 1789574603000
  }
}